#### D.4.18.9 isprimeMon

Procedure from library `monomialideal.lib` (see monomialideal_lib).

Usage:
  isprimeMon (I); I ideal

Return:
  1, if I is prime; 0, otherwise.
  (returns -1 if I is not a monomial ideal)

Assume:
  I is a monomial ideal of the basering.

Example:

    LIB "monomialideal.lib";
    ring R = 0,(w,x,y,z,t),lp;
    ideal I = w,y,t;
    isprimeMon (I);
    ==> 1
    ideal J = w,y,t,x*z;
    isprimeMon (J);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.